Get Custom Data Source
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"extraction_prompt": "<string>",
"is_active": true,
"schema_definition": {
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"indexed": false
}
],
"searchable_fields": [
"<string>"
],
"label_field": "<string>"
},
"embedding_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Custom Data Sources
Get Custom Data Source
Get full detail, including the schema definition.
GET
/
api
/
v1
/
custom-data-sources
/
{id_or_slug}
Get Custom Data Source
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"extraction_prompt": "<string>",
"is_active": true,
"schema_definition": {
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"indexed": false
}
],
"searchable_fields": [
"<string>"
],
"label_field": "<string>"
},
"embedding_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Schema of a custom datasource: its columns, search config, and display field.
Show child attributes
Show child attributes
